Loading...
Searching...
No Matches
SequenceParsers.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::SequenceToMol (const char *seq, bool sanitize, bool lowerD)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::SequenceToMol (const std::string &seq, bool sanitize, bool lowerD)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::SequenceToMol (const char *seq, bool sanitize=true, int flavor=0)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::SequenceToMol (const std::string &seq, bool sanitize=true, int flavor=0)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::FASTAToMol (const char *seq, bool sanitize, bool lowerD)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::FASTAToMol (const std::string &seq, bool sanitize, bool lowerD)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::FASTAToMol (const char *seq, bool sanitize=true, int flavor=0)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::FASTAToMol (const std::string &seq, bool sanitize=true, int flavor=0)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::HELMToMol (const char *helm, bool sanitize=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::HELMToMol (const std::string &helm, bool sanitize=true)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.